## haproxy 1.7.10

=== debian/changelog ===
haproxy (1.7.10-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Vincent Bernat <bernat@debian.org>  Thu, 04 Jan 2018 23:08:51 +0100

haproxy (1.7.10-1) unstable; urgency=medium

  * New upstream version release (see CHANGELOG):
    - BUG/MAJOR: stream-int: don't re-arm recv if send fails
    - BUG/MAJOR: stream: ensure analysers are always called upon close
    - BUG/MEDIUM: compression: Fix check on txn in smp_fetch_res_comp_algo
    - BUG/MEDIUM: connection: remove useless flag CO_FL_DATA_RD_SH
    - BUG/MEDIUM: deinit: correctly deinitialize the proxy and global
                  listener tasks
    - BUG/MEDIUM: deviceatlas: ignore not valuable HTTP request data
    - BUG/MEDIUM: epoll: ensure we always consider HUP and ERR
    - BUG/MEDIUM: http: Close streams for connections closed before a
                  redirect
    - BUG/MEDIUM: http: Fix a regression bug when a HTTP response is in
                  TUNNEL mode
    - BUG/MEDIUM: http: Return an error when url_dec sample converter
                  failed
    - BUG/MEDIUM: http: don't automatically forward request close
    - BUG/MEDIUM: http: don't disable lingering on requests with tunnelled
                  responses
    - BUG/MEDIUM: kqueue: Don't bother closing the kqueue after fork.
    - BUG/MEDIUM: lua: HTTP services must take care of body-less status
                  codes
    - BUG/MEDIUM: lua: fix crash when using bogus mode in
                  register_service()
    - BUG/MEDIUM: peers: set NOLINGER on the outgoing stream interface
    - BUG/MEDIUM: prevent buffers being overwritten during build_logline()
                  execution
    - BUG/MEDIUM: ssl: fix OCSP expiry calculation
    - BUG/MEDIUM: stream: don't ignore res.analyse_exp anymore
    - BUG/MEDIUM: stream: properly set the required HTTP analysers on
                  use-service
    - BUG/MEDIUM: tcp-check: don't call tcpcheck_main() from the I/O
                  handlers!
    - BUG/MEDIUM: tcp-check: properly indicate polling state before
                  performing I/O
    - BUG/MEDIUM: tcp/http: set-dst-port action broken
  * Fix VERDATE build argument to really use changelog date.
  * Bump compat to 10.
  * d/control: B-D on python3-sphinx instead of python-sphinx.
  * d/control: make haproxy-doc Priority: optional.
  * d/rules: enable PCRE JIT.
  * d/rules: use variables defined in *.mk.
  * d/patches: refresh and replace Wants/After=syslog.service with
    After=rsyslog.service. Closes: #882610.

 -- Vincent Bernat <bernat@debian.org>  Wed, 03 Jan 2018 08:29:48 +0100

haproxy (1.7.9-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Vincent Bernat <bernat@debian.org>  Thu, 24 Aug 2017 21:01:16 +0200

=== debian/control ===
Source: haproxy
Section: net
Priority: optional
Maintainer: Debian HAProxy Maintainers <pkg-haproxy-maintainers@lists.alioth.debian.org>
Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>,
           Prach Pongpanich <prach@debian.org>,
           Vincent Bernat <bernat@debian.org>
Standards-Version: 4.0.0
Build-Depends: debhelper (>= 10),
               libpcre3-dev,
               libssl-dev,
               liblua5.3-dev,
               python3-sphinx,
               zlib1g-dev
Build-Depends-Indep: python, python-mako
Homepage: http://www.haproxy.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-haproxy/haproxy.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-haproxy/haproxy.git

Package: haproxy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base (>= 3.0-6)
Pre-Depends: dpkg (>= 1.17.14)
Suggests: vim-haproxy, haproxy-doc
Description: fast and reliable load balancing reverse proxy
 HAProxy is a TCP/HTTP reverse proxy which is particularly suited for high
 availability environments. It features connection persistence through HTTP
 cookies, load balancing, header addition, modification, deletion both ways. It
 has request blocking capabilities and provides interface to display server
 status.

Package: haproxy-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-bootstrap (<< 4), libjs-jquery,
 ${sphinxdoc:Depends}
Pre-Depends: dpkg (>= 1.17.14)
Description: fast and reliable load balancing reverse proxy (HTML documentation)
 HAProxy is a TCP/HTTP reverse proxy which is particularly suited for high
 availability environments. It features connection persistence through HTTP
 cookies, load balancing, header addition, modification, deletion both ways. It
 has request blocking capabilities and provides interface to display server
 status.
 .
 This package contains the HTML documentation for haproxy.

Package: vim-haproxy
Architecture: all
Depends: ${misc:Depends}
Recommends: vim-addon-manager
Description: syntax highlighting for HAProxy configuration files
 The vim-haproxy package provides filetype detection and syntax highlighting
 for HAProxy configuration files.
 .
 As per the Debian vim policy, installed addons are not activated
 automatically, but the "vim-addon-manager" tool can be used for this purpose.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

MAKEARGS=DESTDIR=debian/haproxy \
	 PREFIX=/usr \
	 IGNOREGIT=true \
	 MANDIR=/usr/share/man \
	 DOCDIR=/usr/share/doc/haproxy \
	 USE_PCRE=1 PCREDIR= \
	 USE_PCRE_JIT=1 \
	 USE_OPENSSL=1 \
	 USE_ZLIB=1 \
	 USE_LUA=1 \
	 USE_GETADDRINFO=1 \
	 LUA_INC=/usr/include/lua5.3

ifeq ($(DEB_HOST_ARCH_OS),linux)
        MAKEARGS+= USE_NS=1 TARGET=linux2628
else ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
        MAKEARGS+= TARGET=freebsd
else
	MAKEARGS+= TARGET=generic
endif

ifneq ($(filter amd64 i386,$(DEB_HOST_ARCH_CPU)),)
	MAKEARGS+= USE_REGPARM=1
endif

MAKEARGS += CFLAGS="$(CFLAGS) $(CPPFLAGS)"
MAKEARGS += LDFLAGS="$(LDFLAGS)"
MAKEARGS += VERSION="$(DEB_VERSION_UPSTREAM)"
MAKEARGS += SUBVERS="-$(lastword $(subst -, ,$(DEB_VERSION)))"
MAKEARGS += VERDATE="$(shell TZ=UTC date -d "@$(SOURCE_DATE_EPOCH)" "+%Y/%m/%d")"

%:
	dh $@ --with sphinxdoc

override_dh_auto_configure:

override_dh_auto_build-arch:
	make $(MAKEARGS)
	make -C contrib/systemd $(MAKEARGS)
	dh_auto_build -Dcontrib/halog
	$(MAKE) -C doc/lua-api man

override_dh_auto_build-indep:
	# Build the HTML documentation, after patching dconv
	patch -p1 < $(CURDIR)/debian/patches/debianize-dconv.patch
	for doc in intro configuration management; do \
		python -B $(CURDIR)/debian/dconv/haproxy-dconv.py \
			-i $(CURDIR)/doc/$${doc}.txt \
			-o $(CURDIR)/doc/$${doc}.html ;\
	done
	patch -p1 -R < $(CURDIR)/debian/patches/debianize-dconv.patch
	$(MAKE) -C doc/lua-api html

override_dh_auto_clean:
	make -C contrib/systemd clean
	$(MAKE) -C doc/lua-api clean
	dh_auto_clean
	dh_auto_clean -Dcontrib/halog

override_dh_auto_install-arch:
	make $(MAKEARGS) install
	install -m 0644 -D debian/rsyslog.conf debian/haproxy/etc/rsyslog.d/49-haproxy.conf
	install -m 0644 -D debian/logrotate.conf debian/haproxy/etc/logrotate.d/haproxy

override_dh_auto_install-indep:

override_dh_installdocs:
	dh_installdocs -Xsystemd/ -Xhalog/

override_dh_installexamples:
	dh_installexamples -X build.cfg

override_dh_installinit:
	dh_installinit --no-restart-after-upgrade --no-stop-on-upgrade

override_dh_strip:
	dh_strip --dbgsym-migration="haproxy-dbg"

## haproxy 1.8.7

=== debian/changelog ===
haproxy (1.8.7-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Vincent Bernat <bernat@debian.org>  Thu, 12 Apr 2018 21:22:49 +0200

haproxy (1.8.7-1) unstable; urgency=medium

  * New upstream version.
    - BUG/MAJOR: cache: always initialize newly created objects
  * d/control: switch maintainer address to tracker.debian.org.

 -- Vincent Bernat <bernat@debian.org>  Sat, 07 Apr 2018 07:58:34 +0200

haproxy (1.8.6-1) unstable; urgency=medium

  * New upstream version.
    - BUG/MAJOR: cache: fix random crashes caused by incorrect delete() on
                 non-first blocks
    - BUG/MAJOR: h2: remove orphaned streams from the send list before closing
    - BUG/MEDIUM: h2/threads: never release the task outside of the task
                  handler
    - BUG/MEDIUM: h2: always add a stream to the send or fctl list when
                  blocked
    - BUG/MEDIUM: h2: don't consider pending data on detach if connection
                  is in error

 -- Vincent Bernat <bernat@debian.org>  Thu, 05 Apr 2018 21:08:12 +0200

haproxy (1.8.5-1) unstable; urgency=medium

  * New upstream version.
    - BUG/MAJOR: threads/queue: Fix thread-safety issues on the queues
                 management
    - BUG/MEDIUM: buffer: Fix the wrapping case in bi_putblk
    - BUG/MEDIUM: buffer: Fix the wrapping case in bo_putblk
    - BUG/MEDIUM: fix a 100% cpu usage with cpu-map and nbthread/nbproc
    - BUG/MEDIUM: h2: also arm the h2 timeout when sending
    - BUG/MEDIUM: h2: always consume any trailing data after end of output
                  buffers
    - BUG/MEDIUM: h2: properly account for DATA padding in flow control
    - BUG/MEDIUM: http: Switch the HTTP response in tunnel mode as earlier
                  as possible
    - BUG/MEDIUM: spoe: Remove idle applets from idle list when HAProxy is
                  stopping
    - BUG/MEDIUM: ssl/sample: ssl_bc_* fetch keywords are broken.
    - BUG/MEDIUM: ssl: Don't always treat SSL_ERROR_SYSCALL as
                  unrecovarable.
    - BUG/MEDIUM: ssl: Shutdown the connection for reading on
                  SSL_ERROR_SYSCALL
    - BUG/MEDIUM: tcp-check: single connect rule can't detect DOWN servers
    - BUG/MEDIUM: threads/queue: wake up other threads upon dequeue
    - BUG/MEDIUM: threads/unix: Fix a deadlock when a listener is
                  temporarily disabled
  * Upload to unstable.
  * d/control: update Vcs-* fields to salsa.debian.org.

 -- Vincent Bernat <bernat@debian.org>  Sun, 25 Mar 2018 11:31:25 +0200

haproxy (1.8.4-1) experimental; urgency=medium

  * New upstream stable release.
  * d/patches: document why dconv patch is not in series.
  * d/docs: ship NOTICE file in haproxy-doc.

 -- Vincent Bernat <bernat@debian.org>  Sat, 10 Feb 2018 08:43:36 +0100

haproxy (1.8.3-1) experimental; urgency=medium

  * New upstream stable release.
  * Change default configuration of stats socket to support hitless
    reload.

 -- Vincent Bernat <bernat@debian.org>  Tue, 02 Jan 2018 18:48:24 +0100

haproxy (1.8.2-1) experimental; urgency=medium

  * New upstream stable release
  * Refresh patches
  * Bump Standards-Version to 4.1.2; no changes needed

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sun, 24 Dec 2017 14:28:28 +0200

haproxy (1.8.1-1) experimental; urgency=medium

  * New upstream stable release.
  * Enable PCRE JIT.
  * systemd: replace Wants/After=syslog.service with After=rsyslog.service
    (Closes: #882610)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sun, 03 Dec 2017 23:59:03 +0200

haproxy (1.8.0-2) experimental; urgency=medium

  * Use libatomic on platforms without 64-bit atomics. Fixes FTBFS on armel,
    mips, mipsel, powerpc, powerpcspe, sh4 and m68k.
  * d/rules: use variables defined in architecture.mk and buildflags.mk
  * d/rules: drop unreachable else case.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 29 Nov 2017 01:21:40 +0200

haproxy (1.8.0-1) experimental; urgency=medium

  * New upstream stable series. Notable new features include:
    + HTTP/2 support
    + Support for multiple worker threads to allow scalability across CPUs
      (e.g. for SSL termination)
    + Seamless reloads
    + HTTP small object caching
    + Dynamic backend server configuration
    See https://www.haproxy.com/blog/whats-new-haproxy-1-8/ and
    https://www.mail-archive.com/haproxy@formilux.org/msg28004.html for more
    detailed descriptions of the new features.
  * Upload to experimental
  * Refresh all patches.
  * d/watch: switch to the 1.8.x upstream stable series
  * Bump Standards to 4.1.1
    + Switch haproxy-doc to Priority: optional from extra.
  * Bump compat to 10:
    + B-D on debhelper (>= 10)
    + Drop explicit dh-systemd dependency and invocation
    + Replace --no-restart-on-upgrade with --no-restart-after-upgrade
      --no-stop-on-upgrade to make up for DH 10 defaults.
  * B-D on libsystemd-dev and enable sd_notify() support on Linux.
  * B-D on python3-sphinx instead of python-sphinx.
  * d/rules: do not call dpkg-parsechangelog directly.
  * d/copyright: drop obsolete section.
  * Drop obsolete lintian overrides.
  * Do a full-service restart when upgrading from pre-1.8 versions and running
    under systemd, to migrate to the new process model and service type.
    + Document this in d/NEWS as well.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 28 Nov 2017 22:25:11 +0200

## haproxy 1.8.8

=== Makefile ===
# This GNU Makefile supports different OS and CPU combinations.
#
# You should use it this way :
#   [g]make TARGET=os ARCH=arch CPU=cpu USE_xxx=1 ...
#
# Valid USE_* options are the following. Most of them are automatically set by
# the TARGET, others have to be explictly specified :
#   USE_DLMALLOC         : enable use of dlmalloc (see DLMALLOC_SRC)
#   USE_EPOLL            : enable epoll() on Linux 2.6. Automatic.
#   USE_KQUEUE           : enable kqueue() on BSD. Automatic.
#   USE_MY_EPOLL         : redefine epoll_* syscalls. Automatic.
#   USE_MY_SPLICE        : redefine the splice syscall if build fails without.
#   USE_NETFILTER        : enable netfilter on Linux. Automatic.
#   USE_PCRE             : enable use of libpcre for regex. Recommended.
#   USE_PCRE_JIT         : enable JIT for faster regex on libpcre >= 8.32
#   USE_PCRE2            : enable use of libpcre2 for regex.
#   USE_PCRE2_JIT        : enable JIT for faster regex on libpcre2
#   USE_POLL             : enable poll(). Automatic.
#   USE_PRIVATE_CACHE    : disable shared memory cache of ssl sessions.
#   USE_THREAD           : enable threads support.
#   USE_PTHREAD_PSHARED  : enable pthread process shared mutex on sslcache.
#   USE_REGPARM          : enable regparm optimization. Recommended on x86.
#   USE_STATIC_PCRE      : enable static libpcre. Recommended.
#   USE_STATIC_PCRE2     : enable static libpcre2.
#   USE_TPROXY           : enable transparent proxy. Automatic.
#   USE_LINUX_TPROXY     : enable full transparent proxy. Automatic.
#   USE_LINUX_SPLICE     : enable kernel 2.6 splicing. Automatic.
#   USE_LIBCRYPT         : enable crypted passwords using -lcrypt
#   USE_CRYPT_H          : set it if your system requires including crypt.h
#   USE_VSYSCALL         : enable vsyscall on Linux x86, bypassing libc
#   USE_GETADDRINFO      : use getaddrinfo() to resolve IPv6 host names.
#   USE_OPENSSL          : enable use of OpenSSL. Recommended, but see below.
#   USE_LUA              : enable Lua support.
#   USE_FUTEX            : enable use of futex on kernel 2.6. Automatic.
#   USE_ACCEPT4          : enable use of accept4() on linux. Automatic.
#   USE_MY_ACCEPT4       : use own implemention of accept4() if glibc < 2.10.
#   USE_ZLIB             : enable zlib library support.
#   USE_SLZ              : enable slz library instead of zlib (pick at most one).
#   USE_CPU_AFFINITY     : enable pinning processes to CPU on Linux. Automatic.
#   USE_TFO              : enable TCP fast open. Supported on Linux >= 3.7.
#   USE_NS               : enable network namespace support. Supported on Linux >= 2.6.24.
#   USE_DL               : enable it if your system requires -ldl. Automatic on Linux.
#   USE_DEVICEATLAS      : enable DeviceAtlas api.
#   USE_51DEGREES        : enable third party device detection library from 51Degrees
#   USE_WURFL            : enable WURFL detection library from Scientiamobile
#   USE_SYSTEMD          : enable sd_notify() support.
#
# Options can be forced by specifying "USE_xxx=1" or can be disabled by using
# "USE_xxx=" (empty string).
#
# Variables useful for packagers :
#   CC is set to "gcc" by default and is used for compilation only.
#   LD is set to "gcc" by default and is used for linking only.
#   ARCH may be useful to force build of 32-bit binary on 64-bit systems
#   CFLAGS is automatically set for the specified CPU and may be overridden.
#   LDFLAGS is automatically set to -g and may be overridden.
#   DEP may be cleared to ignore changes to include files during development
#   SMALL_OPTS may be used to specify some options to shrink memory usage.
#   DEBUG may be used to set some internal debugging options.
#   ADDINC may be used to complete the include path in the form -Ipath.
#   ADDLIB may be used to complete the library list in the form -Lpath -llib.
#   DEFINE may be used to specify any additional define, which will be reported
#          by "haproxy -vv" in CFLAGS.
#   SILENT_DEFINE may be used to specify other defines which will not be
#     reported by "haproxy -vv".
#   EXTRA   is used to force building or not building some extra tools.
#   DESTDIR is not set by default and is used for installation only.
#           It might be useful to set DESTDIR if you want to install haproxy
#           in a sandbox.
#   PREFIX  is set to "/usr/local" by default and is used for installation only.
#   SBINDIR is set to "$(PREFIX)/sbin" by default and is used for installation
#           only.
#   MANDIR  is set to "$(PREFIX)/share/man" by default and is used for
#           installation only.
#   DOCDIR  is set to "$(PREFIX)/doc/haproxy" by default and is used for
#           installation only.
#
# Other variables :
#   DLMALLOC_SRC   : build with dlmalloc, indicate the location of dlmalloc.c.
#   DLMALLOC_THRES : should match PAGE_SIZE on every platform (default: 4096).
#   PCREDIR        : force the path to libpcre.
#   PCRE_LIB       : force the lib path to libpcre (defaults to $PCREDIR/lib).
#   PCRE_INC       : force the include path to libpcre ($PCREDIR/inc)
#   SSL_LIB        : force the lib path to libssl/libcrypto
#   SSL_INC        : force the include path to libssl/libcrypto
#   LUA_LIB        : force the lib path to lua
#   LUA_INC        : force the include path to lua
#   LUA_LIB_NAME   : force the lib name (or automatically evaluated, by order of
#                                        priority : lua5.3, lua53, lua).
#   IGNOREGIT      : ignore GIT commit versions if set.
#   VERSION        : force haproxy version reporting.
#   SUBVERS        : add a sub-version (eg: platform, model, ...).
#   VERDATE        : force haproxy's release date.

# Function used to detect support of a given option by the compiler.
# Usage: CFLAGS += $(call cc-opt,option). Eg: $(call cc-opt,-fwrapv)
# Note: ensure the referencing variable is assigned using ":=" and not "=" to
#       call it only once.
cc-opt = $(shell set -e; if $(CC) $(1) -c -xc - -o /dev/null </dev/null >&0 2>&0; then echo "$(1)"; fi;)

# Disable a warning when supported by the compiler. Don't put spaces around the
# warning! And don't use cc-opt which doesn't always report an error until
# another one is also returned.
# Usage: CFLAGS += $(call cc-nowarn,warning). Eg: $(call cc-opt,format-truncation)
cc-nowarn = $(shell set -e; if $(CC) -W$(1) -c -xc - -o /dev/null </dev/null >&0 2>&0; then echo "-Wno-$(1)"; fi;)

#### Installation options.
DESTDIR =
PREFIX = /usr/local
SBINDIR = $(PREFIX)/sbin
MANDIR = $(PREFIX)/share/man
DOCDIR = $(PREFIX)/doc/haproxy

#### TARGET system
# Use TARGET=<target_name> to optimize for a specifc target OS among the
# following list (use the default "generic" if uncertain) :
#    generic, linux22, linux24, linux24e, linux26, solaris,
#    freebsd, openbsd, netbsd, cygwin, haiku, custom, aix51, aix52
TARGET =

#### TARGET CPU
# Use CPU=<cpu_name> to optimize for a particular CPU, among the following
# list :
#    generic, native, i586, i686, ultrasparc, custom
CPU = generic

#### Architecture, used when not building for native architecture
# Use ARCH=<arch_name> to force build for a specific architecture. Known
# architectures will lead to "-m32" or "-m64" being added to CFLAGS and
# LDFLAGS. This can be required to build 32-bit binaries on 64-bit targets.
# Currently, only 32, 64, x86_64, i386, i486, i586 and i686 are understood.
ARCH =

#### Toolchain options.
# GCC is normally used both for compiling and linking.
CC = gcc
LD = $(CC)

#### Debug flags (typically "-g").
# Those flags only feed CFLAGS so it is not mandatory to use this form.
DEBUG_CFLAGS = -g

#### Compiler-specific flags that may be used to disable some negative over-
# optimization or to silence some warnings. -fno-strict-aliasing is needed with
# gcc >= 4.4.
# We rely on signed integer wraparound on overflow, however clang think it
# can do whatever it wants since it's an undefined behavior, so use -fwrapv
# to be sure we get the intended behavior.
SPEC_CFLAGS := -fno-strict-aliasing -Wdeclaration-after-statement
SPEC_CFLAGS += $(call cc-opt,-fwrapv)
SPEC_CFLAGS += $(call cc-opt,-fno-strict-overflow)
SPEC_CFLAGS += $(call cc-nowarn,format-truncation)
SPEC_CFLAGS += $(call cc-nowarn,address-of-packed-member)
SPEC_CFLAGS += $(call cc-nowarn,null-dereference)
SPEC_CFLAGS += $(call cc-nowarn,unused-label)

#### Memory usage tuning
# If small memory footprint is required, you can reduce the buffer size. There
# are 2 buffers per concurrent session, so 16 kB buffers will eat 32 MB memory
# with 1000 concurrent sessions. Putting it slightly lower than a page size
# will prevent the additional parameters to go beyond a page. 8030 bytes is
# exactly 5.5 TCP segments of 1460 bytes and is generally good. Useful tuning
# macros include :
#    SYSTEM_MAXCONN, BUFSIZE, MAXREWRITE, REQURI_LEN, CAPTURE_LEN.
# Example: SMALL_OPTS = -DBUFSIZE=8030 -DMAXREWRITE=1030 -DSYSTEM_MAXCONN=1024
SMALL_OPTS =

#### Debug settings
# You can enable debugging on specific code parts by setting DEBUG=-DDEBUG_xxx.
# Currently defined DEBUG macros include DEBUG_FULL, DEBUG_MEMORY, DEBUG_FSM,
# DEBUG_HASH, DEBUG_AUTH, DEBUG_SPOE, DEBUG_UAF and DEBUG_THREAD. Please check
# sources for exact meaning or do not use at all.
DEBUG =

#### Trace options
# Use TRACE=1 to trace function calls to file "trace.out" or to stderr if not
# possible.
TRACE =

#### Additional include and library dirs
# Redefine this if you want to add some special PATH to include/libs
ADDINC =
ADDLIB =

#### Specific macro definitions
# Use DEFINE=-Dxxx to set any tunable macro. Anything declared here will appear
# in the build options reported by "haproxy -vv". Use SILENT_DEFINE if you do
# not want to pollute the report with complex defines.
# The following settings might be of interest when SSL is enabled :
#   LISTEN_DEFAULT_CIPHERS is a cipher suite string used to set the default SSL
#           ciphers on "bind" lines instead of using OpenSSL's defaults.
#   CONNECT_DEFAULT_CIPHERS is a cipher suite string used to set the default
#           SSL ciphers on "server" lines instead of using OpenSSL's defaults.
DEFINE =
SILENT_DEFINE =

#### extra programs to build
# Force this to enable building extra programs or to disable them.
# It's automatically appended depending on the targets.
EXTRA =

#### CPU dependant optimizations
# Some CFLAGS are set by default depending on the target CPU. Those flags only
# feed CPU_CFLAGS, which in turn feed CFLAGS, so it is not mandatory to use
# them. You should not have to change these options. Better use CPU_CFLAGS or
# even CFLAGS instead.
CPU_CFLAGS.generic    = -O2
CPU_CFLAGS.native     = -O2 -march=native
CPU_CFLAGS.i586       = -O2 -march=i586
CPU_CFLAGS.i686       = -O2 -march=i686
CPU_CFLAGS.ultrasparc = -O6 -mcpu=v9 -mtune=ultrasparc
CPU_CFLAGS            = $(CPU_CFLAGS.$(CPU))

#### ARCH dependant flags, may be overriden by CPU flags
ARCH_FLAGS.32     = -m32
ARCH_FLAGS.64     = -m64
ARCH_FLAGS.i386   = -m32 -march=i386
ARCH_FLAGS.i486   = -m32 -march=i486
ARCH_FLAGS.i586   = -m32 -march=i586
ARCH_FLAGS.i686   = -m32 -march=i686
ARCH_FLAGS.x86_64 = -m64 -march=x86-64
ARCH_FLAGS        = $(ARCH_FLAGS.$(ARCH))

#### Common CFLAGS
# These CFLAGS contain general optimization options, CPU-specific optimizations
# and debug flags. They may be overridden by some distributions which prefer to
# set all of them at once instead of playing with the CPU and DEBUG variables.
CFLAGS = $(ARCH_FLAGS) $(CPU_CFLAGS) $(DEBUG_CFLAGS) $(SPEC_CFLAGS)

#### Common LDFLAGS
# These LDFLAGS are used as the first "ld" options, regardless of any library
# path or any other option. They may be changed to add any linker-specific
# option at the beginning of the ld command line.
LDFLAGS = $(ARCH_FLAGS) -g

#### Target system options
# Depending on the target platform, some options are set, as well as some
# CFLAGS and LDFLAGS. The USE_* values are set to "implicit" so that they are

=== contrib/ip6range/Makefile ===
CC       = gcc
OPTIMIZE = -O3
LDFLAGS  = -s

OBJS     = ip6range

all: $(OBJS)

%: %.c
	$(CC) $(LDFLAGS) $(OPTIMIZE) -o $@ $^

clean:
	rm -f $(OBJS) *.o *.a *~

=== debian/changelog ===
haproxy (1.8.8-1) unstable; urgency=high

  * New upstream version.
    - BUG/CRITICAL: h2: fix incorrect frame length check

 -- Vincent Bernat <bernat@debian.org>  Thu, 19 Apr 2018 17:51:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: haproxy
 Section: net
 Priority: optional
-Maintainer: Debian HAProxy Maintainers <pkg-haproxy-maintainers@lists.alioth.debian.org>
+Maintainer: Debian HAProxy Maintainers <haproxy@tracker.debian.org>
 Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>,
            Prach Pongpanich <prach@debian.org>,
            Vincent Bernat <bernat@debian.org>
-Standards-Version: 4.0.0
+Standards-Version: 4.1.2
 Build-Depends: debhelper (>= 10),
                libpcre3-dev,
                libssl-dev,
                liblua5.3-dev,
+               libsystemd-dev [linux-any],
                python3-sphinx,
                zlib1g-dev
 Build-Depends-Indep: python, python-mako
 Homepage: http://www.haproxy.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-haproxy/haproxy.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-haproxy/haproxy.git
+Vcs-Git: https://salsa.debian.org/haproxy-team/haproxy.git
+Vcs-Browser: https://salsa.debian.org/haproxy-team/haproxy
 
 Package: haproxy
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	 LUA_INC=/usr/include/lua5.3
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-        MAKEARGS+= USE_NS=1 TARGET=linux2628
+        MAKEARGS+= USE_NS=1 TARGET=linux2628 USE_SYSTEMD=1
 else ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
         MAKEARGS+= TARGET=freebsd
 else
@@ -30,6 +30,10 @@
 
 ifneq ($(filter amd64 i386,$(DEB_HOST_ARCH_CPU)),)
 	MAKEARGS+= USE_REGPARM=1
+endif
+
+ifneq ($(filter armel mips mipsel m68k powerpc powerpcspe sh4,$(DEB_HOST_ARCH)),)
+	MAKEARGS+= ADDLIB=-latomic
 endif
 
 MAKEARGS += CFLAGS="$(CFLAGS) $(CPPFLAGS)"

=== debian/tests/control ===
Tests: cli
Depends: haproxy, socat
Restrictions: needs-root

=== debian/watch ===
version=3
opts="uversionmangle=s/-(dev\d+)/~$1/" https://www.haproxy.org/download/1.8/src/ haproxy-(1\.8(?:\.|-dev)\d+)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))

## haproxy 1.8.9

=== debian/changelog ===
haproxy (1.8.9-2~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports (sloppy).

 -- Vincent Bernat <bernat@debian.org>  Tue, 29 May 2018 08:32:37 +0200

haproxy (1.8.9-2) unstable; urgency=high

  * d/patches: fix CVE-2018-11469: do not cache when an Authorization
    header is present. Closes: #900084.

 -- Vincent Bernat <bernat@debian.org>  Sat, 26 May 2018 16:05:07 +0200

haproxy (1.8.9-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports (sloppy).

 -- Vincent Bernat <bernat@debian.org>  Tue, 22 May 2018 08:04:51 +0200

haproxy (1.8.9-1) unstable; urgency=medium

  * New upstream version.
    - BUG/MAJOR: channel: Fix crash when trying to read from a closed socket
    - BUG/MEDIUM: h2: implement missing support for chunked encoded uploads
    - BUG/MEDIUM: http: don't always abort transfers on CF_SHUTR
    - BUG/MEDIUM: lua: Fix segmentation fault if a Lua task exits
    - BUG/MEDIUM: pollers: Use a global list for fd shared between threads
    - BUG/MEDIUM: ssl: properly protect SSL cert generation
    - BUG/MEDIUM: task: Don't free a task that is about to be run
    - BUG/MEDIUM: threads: Fix the sync point for more than 32 threads
  * d/rsyslog.conf: use modern syntax and statements, thanks to Guillem
    Jover. Closes: #897914.

 -- Vincent Bernat <bernat@debian.org>  Sat, 19 May 2018 15:00:17 +0200

haproxy (1.8.8-1~bpo8+1) jessie-backports-sloppy; urgency=high

  * Rebuild for jessie-backports (sloppy).

 -- Vincent Bernat <bernat@debian.org>  Thu, 19 Apr 2018 20:13:40 +0200

haproxy (1.8.7-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports (sloppy).

 -- Vincent Bernat <bernat@debian.org>  Thu, 12 Apr 2018 21:33:19 +0200

haproxy (1.7.10-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports (sloppy).

 -- Vincent Bernat <bernat@debian.org>  Thu, 04 Jan 2018 23:13:01 +0100

haproxy (1.7.9-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports (sloppy).

 -- Vincent Bernat <bernat@debian.org>  Thu, 24 Aug 2017 21:06:17 +0200

haproxy (1.7.8-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports (sloppy).

 -- Vincent Bernat <bernat@debian.org>  Tue, 11 Jul 2017 08:48:35 +0200

haproxy (1.7.7-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports (sloppy).

 -- Vincent Bernat <bernat@debian.org>  Wed, 28 Jun 2017 20:42:23 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Standards-Version: 4.1.2
 Build-Depends: debhelper (>= 10),
                libpcre3-dev,
-               libssl-dev,
+               libssl-dev (>= 1.0.2),
                liblua5.3-dev,
                libsystemd-dev [linux-any],
                python3-sphinx,
@@ -29,6 +29,20 @@
  cookies, load balancing, header addition, modification, deletion both ways. It
  has request blocking capabilities and provides interface to display server
  status.
+
+Package: haproxy-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: ${misc:Depends}, haproxy (= ${binary:Version})
+Description: fast and reliable load balancing reverse proxy (debug symbols)
+ HAProxy is a TCP/HTTP reverse proxy which is particularly suited for high
+ availability environments. It features connection persistence through HTTP
+ cookies, load balancing, header addition, modification, deletion both ways. It
+ has request blocking capabilities and provides interface to display server
+ status.
+ .
+ This package contains the debugging symbols for haproxy.
 
 Package: haproxy-doc
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -87,4 +87,4 @@
 	dh_installinit --no-restart-after-upgrade --no-stop-on-upgrade
 
 override_dh_strip:
-	dh_strip --dbgsym-migration="haproxy-dbg"
+	dh_strip --dbg-package=haproxy-dbg

## haproxy 1.8.10

=== debian/changelog ===
haproxy (1.8.10-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Vincent Bernat <bernat@debian.org>  Tue, 26 Jun 2018 08:19:23 +0200

haproxy (1.8.10-1) unstable; urgency=medium

  * New upstream version.
    - BUG/MAJOR: lua: Dead lock with sockets
    - BUG/MAJOR: map: fix a segfault when using http-request set-map
    - BUG/MAJOR: ssl: OpenSSL context is stored in non-reserved memory slot
    - BUG/MAJOR: ssl: Random crash with cipherlist capture
    - BUG/MEDIUM: cache: don't cache when an Authorization header is present
    - BUG/MEDIUM: dns: Delay the attempt to run a DNS resolution on check
                  failure.
    - BUG/MEDIUM: fd: Don't modify the update_mask in fd_dodelete().
    - BUG/MEDIUM: fd: Only check update_mask against all_threads_mask.
    - BUG/MEDIUM: servers: Add srv_addr default placeholder to the state file
    - BUG/MEDIUM: stick-tables: Decrement ref_cnt in table_* converters
    - BUG/MEDIUM: threads: Use the sync point to check active jobs and exit
    - BUG/MEDIUM: threads: handle signal queue only in thread 0
  * Remove patch from CVE. Included upstream.
  * d/patches: add a patch for clean stop with systemd.

 -- Vincent Bernat <bernat@debian.org>  Fri, 22 Jun 2018 20:21:37 +0200

haproxy (1.8.9-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Vincent Bernat <bernat@debian.org>  Tue, 29 May 2018 08:27:41 +0200

haproxy (1.8.9-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Vincent Bernat <bernat@debian.org>  Tue, 22 May 2018 07:57:33 +0200

haproxy (1.8.8-1~bpo9+1) stretch-backports; urgency=high

  * Rebuild for stretch-backports.

 -- Vincent Bernat <bernat@debian.org>  Thu, 19 Apr 2018 19:18:45 +0200

## haproxy 1.8.12

=== debian/changelog ===
haproxy (1.8.12-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 29 Jun 2018 08:33:19 +0200

haproxy (1.8.12-1) unstable; urgency=medium

  * New upstream version.
     - BUG/MAJOR: stick_table: Complete incomplete SEGV fix

 -- Vincent Bernat <bernat@debian.org>  Wed, 27 Jun 2018 20:05:50 +0200

haproxy (1.8.11-1) unstable; urgency=medium

  * New upstream version.
    - BUG/MAJOR: Stick-tables crash with segfault when the key is not in
                 the stick-table

 -- Vincent Bernat <bernat@debian.org>  Tue, 26 Jun 2018 18:26:05 +0200

## haproxy 1.8.13

=== debian/changelog ===
haproxy (1.8.13-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 19 Sep 2018 22:57:38 +0300

haproxy (1.8.13-2) unstable; urgency=high

  * Fix improper sign check on the HPACK header index value (CVE-2018-14645)
  * Bump Standards-Version to 4.2.1; no changes needed

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 19 Sep 2018 22:46:58 +0300

haproxy (1.8.13-1) unstable; urgency=medium

  * New upstream version.
    - BUG/MEDIUM: h2: don't accept new streams if conn_streams are still
                  in excess
    - BUG/MEDIUM: h2: make sure the last stream closes the connection
                  after a timeout
    - BUG/MEDIUM: h2: never leave pending data in the output buffer on close
    - BUG/MEDIUM: h2: prevent orphaned streams from blocking a connection
                  forever
    - BUG/MEDIUM: stats: don't ask for more data as long as we're responding
    - BUG/MEDIUM: stream-int: don't immediately enable reading when the
                  buffer was reportedly full
    - BUG/MEDIUM: threads/sync: use sched_yield when available
    - BUG/MEDIUM: threads: Fix the exit condition of the thread barrier
    - BUG/MEDIUM: threads: properly fix nbthreads == MAX_THREADS
    - BUG/MEDIUM: threads: unbreak "bind" referencing an incorrect thread
                  number
  * d/patches: drop systemd exit status patch (applied upstream).

 -- Vincent Bernat <bernat@debian.org>  Wed, 01 Aug 2018 11:36:20 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>,
            Prach Pongpanich <prach@debian.org>,
            Vincent Bernat <bernat@debian.org>
-Standards-Version: 4.1.2
+Standards-Version: 4.2.1
 Build-Depends: debhelper (>= 10),
                libpcre3-dev,
-               libssl-dev (>= 1.0.2),
+               libssl-dev,
                liblua5.3-dev,
                libsystemd-dev [linux-any],
                python3-sphinx,
@@ -29,20 +29,6 @@
  cookies, load balancing, header addition, modification, deletion both ways. It
  has request blocking capabilities and provides interface to display server
  status.
-
-Package: haproxy-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: ${misc:Depends}, haproxy (= ${binary:Version})
-Description: fast and reliable load balancing reverse proxy (debug symbols)
- HAProxy is a TCP/HTTP reverse proxy which is particularly suited for high
- availability environments. It features connection persistence through HTTP
- cookies, load balancing, header addition, modification, deletion both ways. It
- has request blocking capabilities and provides interface to display server
- status.
- .
- This package contains the debugging symbols for haproxy.
 
 Package: haproxy-doc
 Section: doc

## haproxy 1.8.14

=== debian/changelog ===
haproxy (1.8.14-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Vincent Bernat <bernat@debian.org>  Sun, 28 Oct 2018 18:00:59 +0100

haproxy (1.8.14-1) unstable; urgency=medium

  * New upstream version.
    - BUG/CRITICAL: hpack: fix improper sign check on the header index
                    value (already fixed in 1.8.13-2)
    - BUG/MAJOR: kqueue: Don't reset the changes number by accident.
    - BUG/MAJOR: thread: lua: Wrong SSL context initialization.

 -- Vincent Bernat <bernat@debian.org>  Sun, 23 Sep 2018 12:25:03 +0200

haproxy (1.8.13-2~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 19 Sep 2018 23:08:02 +0300

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Standards-Version: 4.2.1
 Build-Depends: debhelper (>= 10),
                libpcre3-dev,
-               libssl-dev,
+               libssl-dev (>= 1.0.2),
                liblua5.3-dev,
                libsystemd-dev [linux-any],
                python3-sphinx,
@@ -29,6 +29,20 @@
  cookies, load balancing, header addition, modification, deletion both ways. It
  has request blocking capabilities and provides interface to display server
  status.
+
+Package: haproxy-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: ${misc:Depends}, haproxy (= ${binary:Version})
+Description: fast and reliable load balancing reverse proxy (debug symbols)
+ HAProxy is a TCP/HTTP reverse proxy which is particularly suited for high
+ availability environments. It features connection persistence through HTTP
+ cookies, load balancing, header addition, modification, deletion both ways. It
+ has request blocking capabilities and provides interface to display server
+ status.
+ .
+ This package contains the debugging symbols for haproxy.
 
 Package: haproxy-doc
 Section: doc

## haproxy 1.8.15

=== debian/changelog ===
haproxy (1.8.15-1) unstable; urgency=high

  [ Vincent Bernat ]
  * d/rules: switch to pcre2. Closes: #911933.

  [ Apollon Oikonomopoulos ]
  * New upstream version 1.8.15
    - BUG: dns: Fix off-by-one write in dns_validate_dns_response() (
    - BUG: dns: Fix out-of-bounds read via signedness error in
      dns_validate_dns_response()
    - BUG: dns: Prevent out-of-bounds read in dns_read_name()
    - BUG: dns: Prevent out-of-bounds read in dns_validate_dns_response()
      (CVE-2018-20102, closes: #916308)
    - BUG: dns: Prevent stack-exhaustion via recursion loop in dns_read_name
      (CVE-2018-20103, closes: #916307)
    - BUG/MAJOR: http: http_txn_get_path() may deference an inexisting buffer

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 14 Dec 2018 15:31:04 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
            Vincent Bernat <bernat@debian.org>
 Standards-Version: 4.2.1
 Build-Depends: debhelper (>= 10),
-               libpcre3-dev,
-               libssl-dev (>= 1.0.2),
+               libpcre2-dev,
+               libssl-dev,
                liblua5.3-dev,
                libsystemd-dev [linux-any],
                python3-sphinx,
@@ -29,20 +29,6 @@
  cookies, load balancing, header addition, modification, deletion both ways. It
  has request blocking capabilities and provides interface to display server
  status.
-
-Package: haproxy-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: ${misc:Depends}, haproxy (= ${binary:Version})
-Description: fast and reliable load balancing reverse proxy (debug symbols)
- HAProxy is a TCP/HTTP reverse proxy which is particularly suited for high
- availability environments. It features connection persistence through HTTP
- cookies, load balancing, header addition, modification, deletion both ways. It
- has request blocking capabilities and provides interface to display server
- status.
- .
- This package contains the debugging symbols for haproxy.
 
 Package: haproxy-doc
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,8 @@
 	 IGNOREGIT=true \
 	 MANDIR=/usr/share/man \
 	 DOCDIR=/usr/share/doc/haproxy \
-	 USE_PCRE=1 PCREDIR= \
-	 USE_PCRE_JIT=1 \
+	 USE_PCRE2=1 \
+	 USE_PCRE2_JIT=1 \
 	 USE_OPENSSL=1 \
 	 USE_ZLIB=1 \
 	 USE_LUA=1 \
@@ -87,4 +87,4 @@
 	dh_installinit --no-restart-after-upgrade --no-stop-on-upgrade
 
 override_dh_strip:
-	dh_strip --dbg-package=haproxy-dbg
+	dh_strip --dbgsym-migration="haproxy-dbg"

## haproxy 1.8.16

=== debian/changelog ===
haproxy (1.8.16-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 03 Jan 2019 17:26:40 +0200

haproxy (1.8.16-2) unstable; urgency=high

  * Fix out-of-bounds read in HTTP2 mux (CVE-2018-20615).
    This would possibly lead to a crash in H2 HEADERS frame decoder when the
    PRIORITY flag is present, due to a missing frame size check.
  * Bump Standards-Version to 4.3.0; no changes needed.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 03 Jan 2019 12:08:07 +0200

haproxy (1.8.16-1) unstable; urgency=high

  * New upstream version 1.8.16.
    - BUG/MEDIUM: dns: Don't prevent reading the last byte of the payload
      in dns_validate_response()
    - BUG/MEDIUM: dns: overflowed dns name start position causing invalid
      dns error
  * d/rules: do not override CFLAGS, hijack DEBUG_CFLAGS for this instead.

 -- Vincent Bernat <bernat@debian.org>  Sun, 23 Dec 2018 14:27:11 +0100

## haproxy 1.8.17

=== debian/changelog ===
haproxy (1.8.17-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Vincent Bernat <bernat@debian.org>  Thu, 17 Jan 2019 19:03:40 +0100

haproxy (1.8.17-1) unstable; urgency=medium

  * New upstream version 1.8.17
    - BUG/MAJOR: stream-int: Update the stream expiration date in
      stream_int_notify()
    - BUG/MEDIUM: mux-h2: mark that we have too many CS once we have more than
      the max
    - BUG/MEDIUM: server: Also copy "check-sni" for server templates.
    - BUG/MEDIUM: cli: make "show sess" really thread-safe
    - BUG/MEDIUM: lua: dead lock when Lua tasks are trigerred
  * Drop CVE-2018-20615.patch; merged upstream

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 14 Jan 2019 20:58:05 +0200

## haproxy 1.8.18

=== debian/changelog ===
haproxy (1.8.18-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 08 Feb 2019 15:57:58 +0100

haproxy (1.8.18-1) unstable; urgency=medium

  * New upstream version 1.8.18
    - BUG/MAJOR: cache: fix confusion between zero and uninitialized cache
                 key
    - BUG/MAJOR: config: verify that targets of track-sc and stick rules
                 are present
    - BUG/MAJOR: spoe: verify that backends used by SPOE cover all their
                 callers' processes

 -- Vincent Bernat <bernat@debian.org>  Wed, 06 Feb 2019 18:44:54 +0100
